import { jsx } from "react/jsx-runtime";
import { DnaIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Dna = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Dna", ...props, children: /* @__PURE__ */ jsx(DnaIcon, { weight: variant }) });
  }
);
Dna.displayName = "Dna";
Object.assign(Dna, { isGdsIcon: true });
export {
  Dna
};
